Subject: Add CLI to show the object-configuration for a FLOW3 object-name
Description

I suggest to add a cli command to show all informations the object manager has. The main purpose of this tool is to help developers
understand what is really going on and to verify that Autowiring, AOP and SecurityRules are working as intended.

Questions the cli should answer:

    -  informations about packages
        -  which classes are known
        -  which aspects are found
    -  informations about flow3 object-names
        -  which scope has this object 
        -  autowiring
            -  is autowiring on
            -  which properties are injected
            -  which injection methods are called
            -  which objects would be injected
        -  which class would be really instanciated from the object manager
        -  which AOP-JoinPoints match for this class
        -  which Security Rules are applied for this class

History
#1 - 2012-06-11 10:53 - Martin Ficzel
- Subject changed from Add CLI to show the object-configuration for a flow3 object-name to Add CLI to show the object-configuration for a FLOW3 
object-name

#2 - 2012-12-12 09:19 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#3 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)

2015-08-03 1/1


